<!DOCTYPE html>

<html>
<head>
	<title>itbook.store Search</title>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
</head>

<body>

<?php
	//the file_get_contents function will get the content from the URL
    //the following URL search the books
    $service_point ="https://api.itbook.store/1.0/search/mobile%20web";
	$resource=file_get_contents($service_point);
?>

<script>
    $(function(){
        //dump json file content to a JavaScript JSON object
        var json = <?php echo $resource; ?>;

        var booksHTML="";
        for (i in json.books)
        {
            booksHTML+="<br><img src='"+json.books[i].image+ "' height='100' style='float:left'>";
            booksHTML+="<h3>"+json.books[i].title+ "</h3>";
            booksHTML+="<a href='https://itbook.store/books/"+json.books[i].isbn13+"' target='_blank'>Link to detail book information</a><br>";
            booksHTML+="<a href='https://api.itbook.store/1.0/books/"+json.books[i].isbn13+"' target='_blank'>See this book's JSON</a>"
            booksHTML+="<hr>";
        }
        $("#results").html(booksHTML);
    })
</script>
<h2>This example uses PHP proxy to bypass the same origin restriction</h2>
<ol>
    <li>Use PHP to call the service and get the response; so bypassing the restriction.</li>
	<li>Dump the response (JSON) to a JS/jQuery variable.</li>
    <li>Using jQuery to process JSON object.</li>
</ol>
Service point: <a href="https://api.itbook.store/1.0/search/mobile%20web" target="_blank">https://api.itbook.store/1.0/search/mobile%20web</a>

<h2>Book Reseach Results</h2>
<div id="results"></div>

</body>


</html>