<!DOCTYPE html>

<html>
<head>
	<title>itbook.store Search</title>
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
</head>

<body>

<?php
	//the file_get_contents function will get the content from the URL
    //the following URL search the books with "mobile web" keywords - you may accept that from user input like textbox or URL parameters
    // see https://api.itbook.store/ for service API guide
    $service_point ="https://api.itbook.store/1.0/search/mobile%20web";
	$response=file_get_contents($service_point);
	$json=json_decode($response);
	
	$booksHTML="";
    foreach ($json->books as $book)
	{
		$booksHTML.="<br><img src='{$book->image}' height='100' style='float:left'>";
		$booksHTML.="<h3>{$book->title}</h3>";
		$booksHTML.="<a href='https://itbook.store/books/{$book->isbn13}'>Link to detail book information</a><br>";
		$booksHTML.="<a href='https://api.itbook.store/1.0/books/{$book->isbn13}'>See this book's JSON</a>";
		$booksHTML.="<hr>";
	}
?>

<h2>This example demos the use of PHP to call the service and process JSON</h2>
Service point: <a href="<? echo $service_point?>" target="_blank"><? echo $service_point?></a>
<h2>Book Reseach Results</h2>
<div id="results"><?php echo $booksHTML ?></div>
</body>

</html>